Package org.snpeff.vcf

# Enum Class EffFormatVersion

java.lang.Object
java.lang.Enum<EffFormatVersion>
org.snpeff.vcf.EffFormatVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<EffFormatVersion>`, `Constable`

public enum EffFormatVersion extends Enum<EffFormatVersion>
VcfFields in SnpEff version 2.X have a different format than 3.X As of version 4.1 we switch to a standard annotation format

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FORMAT_ANN`
`FORMAT_ANN_1`
`FORMAT_EFF`
`FORMAT_EFF_2`
`FORMAT_EFF_3`
`FORMAT_EFF_4`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EffFormatVersion`
`DEFAULT_FORMAT_VERSION`
`static final String`
`EFFECT_TYPE_SEPARATOR`
`static final String`
`EFFECT_TYPE_SEPARATOR_OLD`
`static final String`
`VCF_INFO_ANN_NAME`
`static final String[]`
`VCF_INFO_ANN_NAMES`
`static final String`
`VCF_INFO_EFF_NAME`
`protected static Set<String>`
`vcfInfoNames`

## Method Summary

Modifier and Type
Method
Description
`String`
`infoFieldName()`
Get INF field name for corresponding format
`boolean`
`isAnn()`
Is this an 'ANN' format?
`boolean`
`isEff()`
Id this an 'EFF' format?
`static boolean`
`isEffectVcfInfoField(String key)`
Is this one of the VCF INFO keys?
`boolean`
`isFullVersion()`
Is this format fully specified? I.e.
`String`
`separator()`
Multiple effect separator
`String`
`separatorSplit()`
Multiple effect separator: Split regex
`static EffFormatVersion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EffFormatVersion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`String`
`vcfHeader()`
VCF header for each format type

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FORMAT_EFF

public static final EffFormatVersion FORMAT_EFF

### FORMAT_EFF_2

public static final EffFormatVersion FORMAT_EFF_2

### FORMAT_EFF_3

public static final EffFormatVersion FORMAT_EFF_3

### FORMAT_EFF_4

public static final EffFormatVersion FORMAT_EFF_4

### FORMAT_ANN

public static final EffFormatVersion FORMAT_ANN

### FORMAT_ANN_1

public static final EffFormatVersion FORMAT_ANN_1

## Field Details

### DEFAULT_FORMAT_VERSION

public static final EffFormatVersion DEFAULT_FORMAT_VERSION

### VCF_INFO_EFF_NAME

public static final String VCF_INFO_EFF_NAME

See Also:
  - Constant Field Values

### VCF_INFO_ANN_NAME

public static final String VCF_INFO_ANN_NAME

See Also:
  - Constant Field Values

### VCF_INFO_ANN_NAMES

public static final String[] VCF_INFO_ANN_NAMES

### EFFECT_TYPE_SEPARATOR

public static final String EFFECT_TYPE_SEPARATOR

See Also:
  - Constant Field Values

### EFFECT_TYPE_SEPARATOR_OLD

public static final String EFFECT_TYPE_SEPARATOR_OLD

See Also:
  - Constant Field Values

### vcfInfoNames

protected static Set<String> vcfInfoNames

## Method Details

### values

public static EffFormatVersion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EffFormatVersion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isEffectVcfInfoField

public static boolean isEffectVcfInfoField(String key)
Is this one of the VCF INFO keys?

### infoFieldName

public String infoFieldName()
Get INF field name for corresponding format

### isAnn

public boolean isAnn()
Is this an 'ANN' format?

### isEff

public boolean isEff()
Id this an 'EFF' format?

### isFullVersion

public boolean isFullVersion()
Is this format fully specified? I.e. does it have version number?

### separator

public String separator()
Multiple effect separator

### separatorSplit

public String separatorSplit()
Multiple effect separator: Split regex

### vcfHeader

public String vcfHeader()
VCF header for each format type